List providers
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.phaseo.ai/v1/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.phaseo.ai/v1/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.phaseo.ai/v1/providers \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.phaseo.ai/v1/providers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.phaseo.ai/v1/providers")
.header("Authorization", "Bearer <token>")
.asString();
{
"ok": true,
"limit": 50,
"offset": 0,
"total": 25,
"providers": [
{
"api_provider_id": "openai",
"api_provider_name": "OpenAI",
"description": "<string>",
"link": "https://openai.com",
"country_code": "US"
}
]
}{
"ok": true,
"error": "<string>",
"message": "<string>"
}Providers
List Providers
Browse the catalogue of API providers supported by the gateway.
GET
/
providers
List providers
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.phaseo.ai/v1/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.phaseo.ai/v1/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)Related
Authorizations
Bearer token authentication
Query Parameters
Limit the number of results
Required range:
1 <= x <= 250Offset for pagination
Last modified on May 19, 2026
Was this page helpful?
⌘I